import ir.huri.jcal.JalaliCalendar;

public class Vote {
	// person who voted
	private Person person ;
	// date of vote
	private String date ;
	/**
	 * Create a new vote with given person and date
	 * @param person person who voted
	 * @param date when the person voted
	 */
	public Vote(Person person, String date) {
		this.person = person;
		this.date = date;
	}
	/**
	 * Get a person from a PersonClass
	 * @return
	 */
	public Person getPerson() {
		return person ;
	}
	/**
	 * Get date of voting
	 * @return
	 */
	public String getDate() {
		return new JalaliCalendar().toString() ;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((person == null) ? 0 : person.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Vote other = (Vote) obj;
		if (person == null) {
			if (other.person != null)
				return false;
		} else if (!person.equals(other.person))
			return false;
		return true;
	}
}
